pipeline:
  build:
    image: jbrechtel/zola:latest
    commands:
      - "zola build"
  deploy:
    image: jbrechtel/rsync:latest
    commands:
      - ./ci-deploy
      - mkdir -p $HOME/.ssh
      - ssh-keyscan -t rsa $DEPLOY_HOST >> $HOME/.ssh/known_hosts
      - sshpass -p $${DEPLOY_PASSWORD} rsync -avzr -e ssh -o "StrictHostKeyChecking no" /src/ $${DEPLOY_USER}@$${DEPLOY_HOST}:$${DEPLOY_PATH}
    secrets: [ DEPLOY_USER, DEPLOY_PATH, DEPLOY_HOST, DEPLOY_PASSWORD ]
